Running eORCA025.L121-LUCIA00
=============================

## Source code

Download NEMO code 4.2.0

```bash
git clone --branch 4.2.0 https://forge.nemo-ocean.eu/nemo/nemo.git nemo_4.2.0
```

Extract and install XIOS (trunk)

```bash
svn co http://forge.ipsl.jussieu.fr/ioserver/svn/XIOS/trunk xios_trunk
```

> revision 2482

## Setup

```bash
module load craype-x86-milan
module load PrgEnv-gnu/8.3.3
module load netCDF-Fortran/4.6.0-gompi-2022a
module load Perl/.5.34.1-GCCcore-11.3.0
```

### Compile XIOS with the arch files from this [**folder**](./arch_xios)

```bash
./make_xios --arch lucia_gnu -j 4
```

### Compile NEMO 

- with this [**arch file**](./arch_nemo)
  > check the path to your XIOS
- with this [**cfg folder**](./cfgs/ORCA025_ICE)
  > open and add a line to `nemo_4.2.0/cfgs/ref_cfgs.txt` :

  > ORCA025_ICE OCE ICE

```bash
./makenemo -m 'lucia_gnu' -r ORCA025_ICE -n 'MY_ORCA025_ICE' -j '4'
```

### Data

I prepared all the input files in `/gpfs/scratch/acad/ecearth/pbarriat/data/nemo` directory. I set up the namelist and the launch script according to the name and path of the input files.

## Very first try

|  CC   | Release | RES |  XIOS  | NEMO | #NODES | Optimization|  WTIME per MONTH        |
| ----- | --- | ---- | ------ | -------------- | ------ | ------- | -------------------- |
| `NE4_00.sh` | foss 2022a | e025 |   8  |   592  |   6    |  -O3         | **45min**       |
| `NE4_01.sh` | foss 2022a | e025 |   9  |  1191  |  12    |  -O3         | **21min**       |

- 1 year (1979), restart every month
- forcing JRA55 no_leap 3h
- `nem_time_step_sec=1350` and `lim_time_step_sec=1350`

Initial data:

```bash
Goutorbe_ghflux.nc
eORCA025_ghflux_v2.0_c3.0_weights_bilin_nohls.nc
eORCA025_iwm_b0.2_v1.0_nohls.nc
eORCA025.L121_domain_cfg_b0.5_c3.0_d1.0_nohls_clean.nc
eORCA025_runoff_b0.2_v0.0_nohls.nc
eORCA025_calving_b0.2_v2.3_nohls.nc
eORCA025_ttv_b0.2_v0.0_nohls.nc
eORCA025_bfr2d_v0.2_nohls.nc
eORCA025_shlat2d_v0.2_nohls.nc
eORCA025_distcoast_b0.2_v0.0_nohls.nc
eORCA025.L121-empc_nohls.nc
eORCA025.L121_WOA2018_c3.0_d1.0_v19812010.5.2_nohls.nc
chlorophyl_v0.0.nc
eORCA025_chlorophyl_v0.0_c3.0_weights_bilin_nohls.nc
eORCA025_sss_WOA2018_c3.0_v19812010.5.1_nohls.nc
eORCA025_seaice_c3.0_v19802004.0_nohls.nc
```

## Change the forcing

|  CC   | Release | RES |  XIOS  | NEMO | #NODES | Optimization|  WTIME per MONTH        |
| ----- | --- | ---- | ------ | -------------- | ------ | ------- | -------------------- |
| `NE4_02.sh` | foss 2022a | e025 |   8  |   592  |   6    |  -O3         | **45min**       |
| `NE4_03.sh` | foss 2022a | e025 |  10  |  2390  |  24    |  -O3         | **13min**       |

- forcing ERA5 leap 3h